$footerHeight: 48px;
$headerHeight: 56px;
$headerTextColor: #434a54;
$newsModalMarginWidth: 96px;
$newsModalMarginHeight: 88px;
$navigationMenuMargin: 286px;
$headerBackgroundColor: #4fc1e9;
$footerBackgroundColor: #434a54;
$newsBorderRadius: 4px;
$newsContainerPadding: 24px;
$newsImageSize: 256px;
$newsLeftPadding: 30px;
$newsRightPadding: 16px;
$newsModalMarginWidthMobile: 24px;
$containerBackgroundColor: #f2f2f2;

.news-item-details-view-modal-body {
    top: 0px;
    left: 0px;
    width: 100%;
    height: 100%;
    z-index: 1000;
    position: fixed;

    button {
        border: none;
        cursor: pointer;
        background: none;

        &:focus {
            outline: none;
        }

        &:hover ,&:active,&:focus {
            .ic-edit-active {
                background-image: url("/assets/svg/icon-edit-inactive.svg");
            }

            .ic-send-invite {
                background-image: url('/assets/svg/icon-send-invite-inactive.svg');
            }
        }
    }

    .news-item-details-view-modal-container {
        display: flex;
        flex-direction: column;
        border-radius: $newsBorderRadius;
        box-shadow: 0px 4px 8px 0px rgba(0, 0, 0, 0.24);
        height: calc(100% - 3 * #{$newsModalMarginHeight});

        .news-item-details-view-modal-header {
            width: 100%;
            display: flex;
            flex-direction: row;
            height: $headerHeight;
            justify-content: space-between;
            background-color: $headerBackgroundColor;
            border-top-left-radius: $newsBorderRadius;
            border-top-right-radius: $newsBorderRadius;

            > div {
                width: 50%;
                height: 100%;
                display: flex;
                flex-direction: row;
                align-items: center;
            }

            &.image-left {
                order: 2;
                position: absolute;
            }

            .news-item-header-section-right {
                justify-content: flex-end;
            }
        }

        .news-item-details-view-modal-footer {
            width: 100%;
            display: flex;
            flex-direction: row;
            align-items: center;
            height: $footerHeight;
            justify-content: space-between;
            background-color: $footerBackgroundColor;
            border-bottom-left-radius: $newsBorderRadius;
            border-bottom-right-radius: $newsBorderRadius;

            button {
              width: 48px;
              padding: 0px;
            }

            button:nth-child(2) {
                background: none;
            }

            button:hover,
            button:active,
            button:focus {
                background: rgba(255, 255, 255, 0.3);
            }       
        }

        .news-item-details-view-modal-content {
            overflow-y: auto;
            position: relative;
            background: $containerBackgroundColor;
            height: 100%;//calc(100% - #{$footerHeight} - #{$headerHeight});

            &:before {
                content: '';
                display: block;
                float: left;
                width:  calc(#{$newsImageSize} +  #{$newsContainerPadding});
                height: calc(#{$newsImageSize} +  #{$newsContainerPadding});
            }

            .news-item-details-image-container {
                text-align: center;

                border-radius: $newsBorderRadius;
            }
        }
    }
}

@media (min-width: 1110px) {

    .news-item-header-section-left {
        div {
            height: 75%;
            display: flex;
            flex-direction: column;
            color: $headerTextColor;
            justify-content: space-around;

            label {
                font-weight: 500;
            }
        }
    }

    .news-item-author-information {

        label {
            display: block;
            font-weight: 500;
            font-size: 22px;
            margin: 5px 0px 12px 0px;
        }


        div {
            display: flex;
            flex-direction: row;
            margin-bottom: 15px;

            span {
                display: block; 
                color: rgba(0,0,0,0.8);

                &:last-child {
                margin-left: 10px;
                }
            }
        }     

        hr {
            height: 0px;
            border: 1px solid $headerBackgroundColor;
        }
    }

    .news-item-details-view-modal-container {
        width: calc(100% - #{$newsLeftPadding} - #{$newsRightPadding} - #{$navigationMenuMargin});
        margin: 2 * $newsModalMarginHeight calc(#{$newsRightPadding} + #{$newsModalMarginWidth}) $newsModalMarginHeight calc(#{$navigationMenuMargin} + #{$newsLeftPadding});

        .news-item-details-view-modal-content {
            padding: $newsContainerPadding;

            > p {
               &:before {
                    content: '';
                    float: right;
                    display: block;
                    width:  calc(#{$newsImageSize} +  #{$newsContainerPadding});
                    height: calc(#{$newsImageSize} +  #{$newsContainerPadding});  
               }
            }
        }

        .news-item-details-image-container {
                width: $newsImageSize;
                height: $newsImageSize;
                margin: $newsContainerPadding;

                .news-item-author-information {
                    height: auto;
                    display: flex;
                    flex-direction: column;
                    margin-left: $newsContainerPadding;
                    width: calc(100% - #{$newsContainerPadding} - #{$newsImageSize});

                    label {
                        font-size: 22px;
                        font-weight: 500;
                    }

                    div {
                        span {
                            width: 50%;
                            font-size: 16px;
                        }
                    }
                }

                img {
                    max-width: 100%;
                    height: 100%;
                }

                &.image-right {
                    right: 0;
                    float: right;
                    position: absolute;
                }

                &.image-left {
                    top: 0;
                    left: 0;
                    position: absolute;
                }
            }
    }
}

@media (max-width: 1110px) and (min-width: 865px) {
    .news-item-details-view-modal-container {
      width: calc(100% - #{$newsRightPadding} - #{$newsLeftPadding} - #{$navigationMenuMargin});
      margin: 2 * $newsModalMarginHeight calc(#{$newsRightPadding}  + #{$newsModalMarginWidthMobile}) $newsModalMarginHeight calc(#{$navigationMenuMargin} + #{$newsLeftPadding});
    }    
}

@media (max-width: 1110px) {
    .news-item-header-section-left {
        div {
            display: none;
        }
    }

   .news-item-details-view-modal-container {
        height: calc(100% - 188px) !important;
        
        .news-item-details-view-modal-content {

            &:before {
               height: 0px !important;
            }

            display: flex;
            flex-direction: column;

            > p {
                order: 3;
                display: flex;
                flex-direction: column;
                justify-content: flex-start;
            }

            .news-item-author-information {
                order: 1;
                width: calc(100% - 50px);
                display: block;
                padding: 15px 25px 0px 25px;
                background: white;

                label {
                    font-size: 14px;
                }

                div {

                    display: flex;
                    flex-direction: column;

                    span {
                        font-size: 13px;
                        margin: 5px 0px;
                    }
                }
                hr {
                    display: none;
                }
            }

            .news-item-details-image-container {
                width: 100%;
                padding-top: 100%;
                position: relative;
                display: flex;
                flex-direction: row;
                align-items: center;
                justify-content: center;

                img {
                    top: 0px;
                    max-width: 100%;
                    max-height: 100%;
                    position: absolute;
                }

                &.image-left, 
                &.image-right {
                    order: 2;
                }
            }
        }
   }  
}

@media (max-width: 864px) {
    .news-item-details-view-modal-container {
        height: calc(100% - 108px) !important;
        width: calc(100% - 2 * #{$newsModalMarginWidthMobile});
        margin: $newsModalMarginHeight $newsModalMarginWidthMobile;
    }  
      
}
